AclProtos.AclEntryProto.AclEntryScopeProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.proto, class: AclProtos, class: AclEntryProto, enum: AclEntryScopeProto

Package org.apache.hadoop.hdfs.protocol.proto

# Enum Class AclProtos.AclEntryProto.AclEntryScopeProto

java.lang.Object
java.lang.Enum<AclProtos.AclEntryProto.AclEntryScopeProto>
org.apache.hadoop.hdfs.protocol.proto.AclProtos.AclEntryProto.AclEntryScopeProto

All Implemented Interfaces:
  `Serializable`, `Comparable<AclProtos.AclEntryProto.AclEntryScopeProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.proto.AclProtos.AclEntryProto

public static enum AclProtos.AclEntryProto.AclEntryScopeProto extends Enum<AclProtos.AclEntryProto.AclEntryScopeProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.hdfs.AclEntryProto.AclEntryScopeProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS`
  `ACCESS = 0;`
  `DEFAULT`
  `DEFAULT = 1;`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACCESS_VALUE`
  `ACCESS = 0;`
  `static final int`
  `DEFAULT_VALUE`
  `DEFAULT = 1;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AclProtos.AclEntryProto.AclEntryScopeProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<AclProtos.AclEntryProto.AclEntryScopeProto>`
  `internalGetValueMap()`
  `static AclProtos.AclEntryProto.AclEntryScopeProto`
  `valueOf(int value)`
  Deprecated.
  `static AclProtos.AclEntryProto.AclEntryScopeProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AclProtos.AclEntryProto.AclEntryScopeProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static AclProtos.AclEntryProto.AclEntryScopeProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCESS

    public static final AclProtos.AclEntryProto.AclEntryScopeProto ACCESS
    `ACCESS = 0;`

  - ### DEFAULT

    public static final AclProtos.AclEntryProto.AclEntryScopeProto DEFAULT
    `DEFAULT = 1;`

- ## Field Details

  - ### ACCESS_VALUE

    public static final int ACCESS_VALUE
    `ACCESS = 0;`
    See Also:
      - Constant Field Values

  - ### DEFAULT_VALUE

    public static final int DEFAULT_VALUE
    `DEFAULT = 1;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static AclProtos.AclEntryProto.AclEntryScopeProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AclProtos.AclEntryProto.AclEntryScopeProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static AclProtos.AclEntryProto.AclEntryScopeProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static AclProtos.AclEntryProto.AclEntryScopeProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<AclProtos.AclEntryProto.AclEntryScopeProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static AclProtos.AclEntryProto.AclEntryScopeProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null